Bug 250736 - devel/meson: update to 0.56.0
Summary: devel/meson: update to 0.56.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL: https://mesonbuild.com/Release-notes-...
Keywords: patch
Depends on: 247935
Blocks: 252559
  Show dependency treegraph
 
Reported: 2020-10-30 09:24 UTC by Jan Beich
Modified: 2021-01-10 16:14 UTC (History)
3 users (show)

See Also:
antoine: exp-run+


Attachments
v1 (0.56.0) (1.35 KB, patch)
2020-10-30 09:24 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2020-10-30 09:24:34 UTC
Created attachment 219217 [details]
v1 (0.56.0)
Comment 1 Antoine Brodin freebsd_committer 2020-11-03 19:40:41 UTC
Exp-run looks fine
Comment 2 Tobias C. Berner freebsd_committer 2020-11-03 19:44:09 UTC
lgtm as maintainer.


mfg Tobias
Comment 3 commit-hook freebsd_committer 2020-11-04 01:06:05 UTC
A commit references this bug:

Author: jbeich
Date: Wed Nov  4 01:05:51 UTC 2020
New revision: 554045
URL: https://svnweb.freebsd.org/changeset/ports/554045

Log:
  devel/meson: update to 0.56.0

  Changes:	https://mesonbuild.com/Release-notes-for-0-56-0.html
  Changes:	https://github.com/mesonbuild/meson/compare/0.55.3...0.56.0
  Reported by:	GitHub (watch releases)
  PR:		250736
  Exp-run by:	antoine
  Approved by:	tcberner

Changes:
  head/devel/meson/Makefile
  head/devel/meson/distinfo
Comment 4 dewayne 2020-11-07 04:49:16 UTC
(In reply to commit-hook from comment #3)
This is likely to be more for informational purposes as (hopefully) the base system migrates to utilizing ASLR, sometime :)

Unfortunately this update broke devel/gobject-introspection, from portmaster with

===>  Cleaning for gobject-introspection-1.66.1,1
===>>> Logging build to /tmp/port_log-112-gobject-introspection.y7eERKNm

===>>> make build failed for devel/gobject-introspection
===>>> Aborting update

===>>> Update for devel/gobject-introspection failed
===>>> Aborting update

===>>> Update for x11-toolkits/pango failed
===>>> Aborting update

===>>> Update for databases/rrdtool failed
===>>> Aborting update

===>>> Update for sysutils/munin-master failed
===>>> Aborting update

--- From /tmp/port_log-112-gobject-introspection.y7eERKNm
Run-time dependency gio-unix-2.0 found: YES 2.66.2
Run-time dependency libffi found: YES 3.3
Dependency python found: YES (pkgconfig)

meson.build:161:3: ERROR: C header 'Python.h' not usable

I was too quick to revert and rebuild loosing the meson build logs (apologies), but I use (CFLAGS) -fpie (LDFLAGS) -pie, which may have been the problem with the upgrade

Immediate Solution?
svnlite update -r '{2020-11-01}' /usr/ports/devel/meson

LT Solution, I'll probably refrain from using aslr options for internal building tools.